import { Component, OnInit, ViewChild } from "@angular/core";
import { DATA } from "./data";
import {
  IgxGridComponent,
  IGridEditDoneEventArgs,
  IgxToastComponent
 } from "igniteui-angular";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  title = 'grid-roweditexit';

  @ViewChild("grid", { read: IgxGridComponent, static: true })
  public grid: IgxGridComponent;

  @ViewChild(IgxToastComponent, { read: IgxToastComponent, static: true })
  public toast: IgxToastComponent;

  public products: any[];

  public ngOnInit() {
    this.products = DATA;
  }

  public editExit(e: IGridEditDoneEventArgs) {
    if (e.oldValue === e.newValue) {
      this.toast.show();
    }
  }
}
